Could not load dynamic library ‘cudart64_110.dll‘; dlerror: cudart64_110.dll not found Ignore above

问题描述

2021-12-11 22:03:37.094666: W tensorflow/stream_executor/platform/default/dso_loader.cc:64] Could not load dynamic library 'cudart64_110.dll'; dlerror: cudart64_110.dll not found
2021-12-11 22:03:37.095079: I tensorflow/stream_executor/cuda/cudart_stub.cc:29] Ignore above cudart dlerror if you do not have a GPU set up on your machine.

这个问题是因为 CUDA版本和TensorFlow版本不兼容的问题。

查看cudart64_110.dll文件

现在本机目录下查找
C:\Program Files\NVIDIA GPU Computing Toolkit\CUDA\v10.1\bin

如果本机上没有这个文件,则到这里下载

下载完毕copy到上面的CUDA目录下。

查看CUDA版本

进入命令行

win+R --> cmd
nvidia-smi

Could not load dynamic library ‘cudart64_110.dll‘; dlerror: cudart64_110.dll not found Ignore above
我的CUDA的版本是11.2.

查看TensorFlow版本

运行 python

Could not load dynamic library ‘cudart64_110.dll‘; dlerror: cudart64_110.dll not found Ignore above

; 查看CUDA和Tensorflow对应关系

查看CUDA版本和TensorFlow版本的对应关系

Could not load dynamic library ‘cudart64_110.dll‘; dlerror: cudart64_110.dll not found Ignore above
看来我的TensorFlow需要降低版本到2.6.0

; 处理办法

降低TensorFlow版本到2.6.0
直接运行如下命令即可:

pip install tensorflow-gpu==2.6.0

然后再次运行该程序,发现问题提示消失了。

[En]

Then run the program again and find that the problem prompt is gone.

Original: https://blog.csdn.net/jiankangyq/article/details/121880500
Author: 平原君2088
Title: Could not load dynamic library ‘cudart64_110.dll‘; dlerror: cudart64_110.dll not found Ignore above

原创文章受到原创版权保护。转载请注明出处:https://www.johngo689.com/497191/

转载文章受原作者版权保护。转载请注明原作者出处!

(0)

大家都在看

亲爱的 Coder【最近整理,可免费获取】👉 最新必读书单  | 👏 面试题下载  | 🌎 免费的AI知识星球